{
  "name": "namesampo",
  "scripts": {
    "dev": "concurrently --prefix none --kill-others \"npm run server\" \"npm run client\"",
    "build": "npm run build-client && npm run build-server",
    "client": "webpack-dev-server --config webpack.client.dev.js",
    "server": "cross-env BABEL_ENV=node NODE_ENV=development nodemon -r dotenv/config src/server/index.js --exec babel-node",
    "build-client": "webpack --progress --config webpack.client.prod.js",
    "build-server": "babel src/server --out-dir ./dist/server --copy-files",
    "test": "jest --watch"
  },
  "jest": {
    "setupTestFrameworkScriptFile": "<rootDir>/src/client/setupTests.js"
  },
  "author": "Esko Ikkala <esko.ikkala@aalto.fi>",
  "contributors": [
    "Erkki Heino"
  ],
  "license": "MIT",
  "devDependencies": {
    "@babel/cli": "^7.12.10",
    "@babel/core": "^7.12.10",
    "@babel/node": "^7.12.10",
    "@babel/plugin-proposal-class-properties": "^7.12.1",
    "@babel/plugin-transform-runtime": "^7.12.10",
    "@babel/preset-env": "^7.12.10",
    "@babel/preset-react": "^7.12.10",
    "babel-eslint": "^10.1.0",
    "babel-jest": "^25.1.0",
    "babel-loader": "^8.2.2",
    "clean-webpack-plugin": "^3.0.0",
    "concurrently": "^5.3.0",
    "copy-webpack-plugin": "^7.0.0",
    "cross-env": "^7.0.0",
    "css-loader": "^5.0.1",
    "enzyme": "^3.7.0",
    "enzyme-adapter-react-16": "^1.6.0",
    "file-loader": "^6.2.0",
    "html-webpack-plugin": "^5.3.1",
    "jest": "^26.6.3",
    "react-test-renderer": "^16.6.1",
    "standard": "^14.3.4",
    "style-loader": "^2.0.0",
    "webpack": "^5.51.1",
    "webpack-cli": "^4.8.0",
    "webpack-dev-server": "^4.0.0",
    "webpack-merge": "^5.7.3"
  },
  "dependencies": {
    "@babel/runtime": "^7.4.2",
    "@date-io/moment": "^1.3.11",
    "@material-ui/core": "^4.11.0",
    "@material-ui/icons": "^4.9.1",
    "@material-ui/pickers": "^3.2.10",
    "@react-google-maps/api": "^1.8.6",
    "Leaflet.extra-markers": "git+https://github.com/SemanticComputing/Leaflet.ExtraMarkers.git",
    "apexcharts": "^3.19.2",
    "axios": "^0.22.0",
    "cytoscape": "^3.12.1",
    "date-fns": "^2.0.0-alpha.27",
    "deck.gl": "^8.0.17",
    "dotenv": "^8.2.0",
    "express": "^4.16.4",
    "express-openapi-validator": "^3.12.7",
    "immutable": "^4.0.0-rc.12",
    "js-yaml": "^3.13.1",
    "leaflet": "^1.6.0",
    "leaflet-draw": "^1.0.4",
    "leaflet-fullscreen": "^1.0.2",
    "leaflet.control.opacity": "^1.3.0",
    "leaflet.gridlayer.googlemutant": "^0.8.0",
    "leaflet.markercluster": "^1.4.1",
    "leaflet.zoominfo": "git+https://github.com/SemanticComputing/Leaflet.zoominfo.git",
    "lodash": "^4.17.19",
    "material-table": "^1.39.0",
    "moment": "^2.24.0",
    "moment-range": "^4.0.2",
    "node-sass": "^4.13.1",
    "react": "^16.13.0",
    "react-compound-slider": "^2.5.0",
    "react-csv": "^2.0.3",
    "react-dom": "^16.8.6",
    "react-html-parser": "^2.0.2",
    "react-intl-universal": "^2.2.1",
    "react-map-gl": "^5.1.2",
    "react-redux": "^7.2.0",
    "react-redux-toastr": "^7.4.1",
    "react-router-dom": "^5.1.2",
    "react-sortable-tree": "2.6.2",
    "react-sortable-tree-theme-file-explorer": "git+https://github.com/SemanticComputing/react-sortable-tree-theme-file-explorer.git",
    "recompose": "^0.28.2",
    "redux": "^4.0.1",
    "redux-observable": "^1.0.0",
    "reselect": "^4.0.0",
    "rxjs": "^6.3.3",
    "rxjs-compat": "^6.3.3",
    "sass-loader": "^8.0.0",
    "swagger-ui-express": "^4.1.4",
    "victory": "^0.26.1",
    "compression-webpack-plugin": "^7.1.2"
  },
  "standard": {
    "parser": "babel-eslint",
    "env": {
      "jest": true
    }
  }
}
